<template>
  <div :class="['orders-list-type', {'is-ready': !isViewedAt}]">
    <ObTooltip
      v-if="order.isEditable !== undefined && !order.isEditable"
      :content="$options.textContent.isEditableIconTooltip"
    >
      <i class="orders-list-type__is-editable icon lock" />
    </ObTooltip>
  </div>
</template>

<script>
  import ObTooltip from 'common-components/src/obComponents/obTooltip'
  import { textContent } from '@/constants/order'

  export default {
    name: 'AccountTypeOrder',
    components: {
      ObTooltip
    },
    textContent,
    props: {
      order: {
        type: Object,
        default: () => {}
      }
    },
    computed: {
      isViewedAt () {
        return Boolean(this.order?.viewedAt)
      },
    }
  }
</script>

<style scoped lang="scss">
  .orders-list-type {
    display: flex;
    align-items: center;

    &.is-ready:before {
      content: '';
      width: 0;
      height: 0;
      position: absolute;
      left: 0;
      top: 0;
      border-style: solid;
      border-width: 14px 14px 0 0;
      border-color: $color-green-light transparent transparent transparent;
    }

    .icon {
      font-size: 14px;
      color: $color-blue-navy-blue;
    }

    .icon + .icon {
      margin-left: 12px;
    }

    &__is-editable {
      color: $color-blue-navy-blue;
      font-size: 17px!important;
    }
  }


</style>
